Subject: Re: [PATCH v7 3/6] dt-bindings: mvebu-uart: document DT bindings for marvell, armada-3700-uart-clock

From: Stephen Boyd <[email-masked]>
Date: Sat, 15 Jan 2022 00:02:11 -0800

Quoting Pali Rohár (2021-10-15 23:42:10)
> 
> If I was designing this driver and DTS bindings I would have choose
> something like this:
> 
> uart@0x12000 {

Drop the 0x

>     reg = <0x12000 0x18>, <0x12200 0x30>;
>     clock-controller {
>         ...
>     };

Drop this node and put whatever properties are inside into the parent
node.

>     serial1 {
>         ...
>         status = "disabled";
>     };
>     serial2 {
>         ...
>         status = "disabled";
>     };
> };
> 
> Meaning that 0x12000 node would be 3 subnodes and all registers would be
> defined in top level nodes and would be handled by one driver.
> 
> This is really how hardware block looks like. But it is not backward
> compatible...

Sounds good to me. I presume we need the serial child nodes so we can
reference them from the stdout-path?

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel